rte_eth_switch_info(3)

NAME
rte_eth_switch_info

SYNOPSIS

#include <rte_ethdev.h>

  Data Fields

const char * name
uint16_t domain_id
uint16_t port_id
uint16_t rx_domain

Detailed Description

Ethernet device associated switch information

Definition at line 1731 of file rte_ethdev.h.

Field Documentation

  const char* name
switch name

Definition at line 1732 of file rte_ethdev.h.

  uint16_t domain_id
switch domain ID

Definition at line 1733 of file rte_ethdev.h.

  uint16_t port_id
Mapping to the devices physical switch port as enumerated from the perspective of the embedded interconnect/switch. For SR-IOV enabled device this may correspond to the VF_ID of each virtual function, but each driver should explicitly define the mapping of switch port identifier to that physical interconnect/switch

Definition at line 1741 of file rte_ethdev.h.

  uint16_t rx_domain
Shared Rx queue sub-domain boundary. Only ports in same Rx domain and switch domain can share Rx queue. Valid only if device advertised RTE_ETH_DEV_CAPA_RXQ_SHARE capability.

Definition at line 1747 of file rte_ethdev.h.

Author

Generated automatically by Doxygen for DPDK from the source code.